package com.iformall.service;


import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxDevice;

import java.util.List;

public interface WxDeviceService {



    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxDevice> listAsPage(WxDevice record, Integer pageIndex, Integer pageSize);


    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxDevice getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    ResultData saveOrUpdate(WxDevice record);


    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @return
     */
    List<WxDevice> findList(WxDevice record);



}